%define oname   ocplib-endian
%define name    ocaml-%{oname}
%define version 0.4
%define release %mkrel 3

Summary:  OCaml library to efficiently read and write integers from C structures
Name:     %{name}
Version:  %{version}
Release:  %{release}
Source0:  https://github.com/OCamlPro/%{oname}/archive/%{oname}-%{version}.tar.gz
License:  LGPLv2.1 with linking exception
Group:    Development/OCaml
URL:      http://github.com/OCamlPro/%{oname}
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-optcomp

%description
OCaml library to efficiently read and write integers from C structures. It
contains optimized functions to read and write int16/32/64 from strings and
bigarrays.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n %{oname}-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

ocaml setup.ml -build 

%check
ocaml setup.ml -test

#ocaml setup.ml -doc
# doc not built, do it manually:
pushd src
echo EndianString >> api.odocl
echo EndianBigstring >> api.odocl
ocamlbuild api.docdir/index.html
popd
mv src/api.docdir api-html

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/INSTALL_DIR
ocaml setup.ml -install

%files
%doc README.md COPYING.txt
%dir %{_libdir}/ocaml/ocplib-endian
%{_libdir}/ocaml/ocplib-endian/META
%{_libdir}/ocaml/ocplib-endian/*.cma
%{_libdir}/ocaml/ocplib-endian/*.cmi
%{_libdir}/ocaml/ocplib-endian/*.cmxs

%files devel
%doc tests/
%doc api-html/
%{_libdir}/ocaml/ocplib-endian/*.a
%{_libdir}/ocaml/ocplib-endian/*.cmxa
%{_libdir}/ocaml/ocplib-endian/*.cmx
%{_libdir}/ocaml/ocplib-endian/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 533932
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 blue_prawn <blue_prawn> 0.4-2.mga4
+ Revision: 475822
- provide license file

* Sun Sep 08 2013 blue_prawn <blue_prawn> 0.4-1.mga4
+ Revision: 475814
- updated to last version 0.4
- providing the generated api doc

* Sun Jan 13 2013 umeabot <umeabot> 0.3-2.mga3
+ Revision: 361529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 malo <malo> 0.3-1.mga3
+ Revision: 338458
- imported package ocaml-ocplib-endian

